ig.module(
	'game.entities.finish'
)
.requires(
	'impact.entity'
)
.defines(function(){
	
EntityFinish = ig.Entity.extend({
	_wmDrawBox: true,
	_wmBoxColor: 'rgba(0, 0, 255, 0.7)',
	_wmScalable: true,
	
	size: {x: 16, y: 16},
	
	triggeredBy: function( entity, trigger ) {	
		/*if( this.level ) {
			
			var levelName = this.level.replace(/^(Level)?(\w)(\w*)/, function( m, l, a, b ) {
				return a.toUpperCase() + b;
			});
			
			ig.game.loadLevelDeferred( ig.global['Level'+levelName] );
		}*/
	},
	
	update: function(){}
});

});